Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog
Class Encog

    java.lang.Object
      org.encog.Encog

    public final class Encog

extends Object

Main Encog class, does little more than provide version information. Also used to hold the ORM session that Encog uses to work with Hibernate.

Author:
  jheaton

Field Summary
`static double` | `DEFAULT_DOUBLE_EQUAL` Default point at which two doubles are equal.
`static int` | `DEFAULT_PRECISION` The default precision to use for compares.
`static String` | `ENCOG_FILE_VERSION` The encog file version.
`static String` | `ENCOG_VERSION` The version of the Encog JAR we are working with.
`static String` | `VERSION` The current engog version, this should be read from the properties.

Method Summary
`static Encog` | `getInstance()` Get the instance to the singleton.
`EncogPluginLogging1` | `getLoggingPlugin()`
`Collection<EncogPluginBase>` | `getPlugins()` Get a list of the registered plugins.
`Map<String,String>` | `getProperties()`
`void` | `registerPlugin(EncogPluginBase plugin)` Register a plugin.
`void` | `shutdown()` Provides any shutdown that Encog may need.
`void` | `unregisterPlugin(EncogPluginBase plugin)` Unregister a plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final String VERSION

  The current engog version, this should be read from the properties.

  See Also:
    Constant Field Values

### DEFAULT_PRECISION

    public static final int DEFAULT_PRECISION

  The default precision to use for compares.

  See Also:
    Constant Field Values

### DEFAULT_DOUBLE_EQUAL

    public static final double DEFAULT_DOUBLE_EQUAL

  Default point at which two doubles are equal.

  See Also:
    Constant Field Values

### ENCOG_VERSION

    public static final String ENCOG_VERSION

  The version of the Encog JAR we are working with. Given in the form x.x.x.

  See Also:
    Constant Field Values

### ENCOG_FILE_VERSION

    public static final String ENCOG_FILE_VERSION

  The encog file version. This determines of an encog file can be read. This is simply an integer, that started with zero and is incremented each time the format of the encog data file changes.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static Encog getInstance()

  Get the instance to the singleton.

  Returns:
    The instance.

### getProperties

    public Map<String,String> getProperties()

  Returns:
    the properties

### registerPlugin

    public void registerPlugin(EncogPluginBase plugin)

  Register a plugin. If this plugin provides a core service, such as calculation or logging, this will remove the old plugin.

  Parameters:
    `plugin` - The plugin to register.

### unregisterPlugin

    public void unregisterPlugin(EncogPluginBase plugin)

  Unregister a plugin. If you unregister the current logging or calc plugin, a new system one will be created. Encog will crash without a logging or system plugin.

  Parameters:
    `plugin` - The plugin.

### shutdown

    public void shutdown()

  Provides any shutdown that Encog may need. Currently this shuts down the thread pool.

### getLoggingPlugin

    public EncogPluginLogging1 getLoggingPlugin()

  Returns:
    the loggingPlugin

### getPlugins

    public Collection<EncogPluginBase> getPlugins()

  Get a list of the registered plugins.

  Returns:
    The registered plugins.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.